## nis 2.00

=== yp-clients-2.2/Makefile ===
include ./Makeconfig

include ./Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2	
endif

ifndef DAEMON
DAEMON = -DDAEMON
endif

SUBDIR=	ypbind domainname ypwhich ypcat ypmatch yppoll ypset yppasswd

all: subdir

subdir:
	for d in $(SUBDIR); do \
	  ($(MAKE) -C $$d $(TARGET)) || exit 1; \
	done

clean: FRC
	$(RM) -f *.a *.o *~ core
	$(MAKE) TARGET=clean subdir

install: subdir
	$(MAKE) TARGET=install subdir
#	install -o root -g root -m 0644 yp.conf.example ${DEBDIR}/etc/yp.conf 
#	install -o root -g root -m 0755 -d ${DEBDIR}/usr/doc/net
#	install -o root -g root -m 0755 -d ${DEBDIR}/var/yp
#	install -o root -g root -m 0644 README ${DEBDIR}/usr/doc/net/yp-clients.txt
#	gzip -9f ${DEBDIR}/usr/doc/net/yp-clients.txt


FRC:
