=== ypbind-bsd-1.15/Makefile ===
#	from: @(#)Makefile	5.8 (Berkeley) 7/28/90
#	$Id: Makefile,v 1.2 1995/04/09 21:58:59 wpaul Exp $

PROG=	ypbind
MAN8=	ypbind.8
CFLAGS+=-DDAEMON

.include <bsd.prog.mk>
