=== yp-clients-2.2/yppoll/Makefile ===
include ../Makeconfig

include ../Makerules

LIBS=

ifndef OPTFLAGS
OPTFLAGS= -O2
endif

CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
INC= -I. -I..

OBJS  =yppoll.o
PROG=yppoll

all: $(PROG)

yppoll: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	$(RM) -f core *.o *.a *~ tmp_make foo $(PROG)
	-for i in *.c;do \
	  if [ -f $$i ]; then \
	    $(RM) -f `basename $$i .c`.s; \
	  fi; \
	done

install: $(PROG)
	install -c -o root -g root -m 0755 -s $(PROG) $(USRSBINDIR)
