## nis 2.20-1

=== yppasswd-0.9/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # to SBINDIR, and the update script goes to LIBDIR. The traditional
 # place for the client is /bin, but for FSSTND compliance, you may want
 # to use /usr/bin.
-BINDIR	= /bin
+BINDIR	= /usr/bin
 SBINDIR	= /usr/sbin
 LIBDIR	= /usr/lib/yp
 MANDIR	= /usr/man
@@ -95,15 +95,15 @@
 
 install:: $(PROGS)
 	@echo "Installing... "
-	install -o bin -g bin -m 755 -s $(CLIENTS) $(BINDIR)
-	ln -sf yppasswd $(BINDIR)/ypchfn
-	ln -sf yppasswd $(BINDIR)/ypchsh
-	install -o bin -g bin -m 700 -s $(SERVER) $(SBINDIR)/rpc.yppasswdd
-	install -o bin -g bin -m 755 -d $(LIBDIR)
-	install -o bin -g bin -m 700 pwupdate $(LIBDIR)
+	install -o root -g root -m 755 -s $(CLIENTS) $(DEBDIR)$(BINDIR)
+	ln -sf yppasswd $(DEBDIR)$(BINDIR)/ypchfn
+	ln -sf yppasswd $(DEBDIR)$(BINDIR)/ypchsh
+	install -o root -g root -m 755 -s $(SERVER) $(DEBDIR)$(SBINDIR)/rpc.yppasswdd
+	install -o root -g root -m 755 -d $(DEBDIR)$(LIBDIR)
+	install -o root -g root -m 755 pwupdate $(DEBDIR)$(LIBDIR)
 
 install installman::
 	@echo "Installing manpages... "
-	install -o bin -g bin -m 644 $(MAN8) $(MANDIR)/man8
-	install -o bin -g bin -m 644 $(MAN1) $(MANDIR)/man1
+	install -o root -g root -m 644 $(MAN8) $(DEBDIR)$(MANDIR)/man8
+	install -o root -g root -m 644 $(MAN1) $(DEBDIR)$(MANDIR)/man1
