=== yp-clients-2.2/yppoll/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
 OBJS  =yppoll.o
