=== yp-clients-2.2/ypwhich/Makefile ===
--- 
+++ 
@@ -1,17 +1,16 @@
 include ../Makeconfig
 
 include ../Makerules
-
-LIBS=
 
 ifndef OPTFLAGS
 OPTFLAGS= -O2
 endif
 
 CFLAGS = $(WFLAGS) $(OPTFLAGS) $(INC) $(XCFLAGS)
+LDFLAGS=-s
 INC= -I. -I..
 
-OBJS  =ypwhich.o xdrfix.o
+OBJS  =ypwhich.o #xdrfix.o
 PROG=ypwhich
 
 all: $(PROG)
