=== debian/changelog ===
nis (2.20-1) frozen unstable; urgency=high

  * Upgrade ypserv to 1.1.7 (security fix)
  * Use awk instead of mawk (Bug#8705, #7855)
  * Depend on libc5 (>= 5.4.23)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 17:09:19 +0200

nis (2.10-1.2) unstable; urgency=high

  * Applied another patch from H.J. Lu to fix ypset.

 -- David Engel <david@sw.ods.com>  Tue, 18 Mar 1997 13:29:01 -0600

nis (2.10-1.1) unstable; urgency=high

  * Applied H.J. Lu's patches to make ypclients and ypbind work 
    with libc 5.4.23.
  * Changed yppasswd to work with libc 5.4.23.

 -- David Engel <david@sw.ods.com>  Mon, 17 Mar 1997 09:03:30 -0600

nis (2.10-1) unstable; urgency=medium

  * Upgraded to ypserv-1.1.5
  * Made sure all executables are stripped
  * Fix bug in services database (wrong key)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 4 Feb 1997 17:38:43 +0100

nis (2.00-1) unstable; urgency=low

  * Upgraded to latest versions of all software
  * New source packaging
  * Added missing manpages (stubs)
  * Fixed yppasswd &c to work with shadow-like NIS server setup.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 02 Oct 1996 17:51:54 +0200

* nis-1.20-2 Tue Jul  2 11:28:30 MET DST 1996
  o Fixed domainname option processing.

* nis-1.20-1  Sat Jun  8 14:18:02 MET DST 1996

  o Installs ypserv_1perhour and associated scripts.
  o Updated nis.debian.howto
  o Updated rules and control files for latest "dchanges".
  o yppasswd Can now change empty password
  o yppasswdd now accepts root password as old passwd
    so root can change all passwords
