=== debian/control ===
Source: nis
Section: net
Priority: extra
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: nis
Architecture: any
Depends: ${shlibs:Depends}, netbase
Conflicts: netstd (<=1.26)
Description: Clients and daemons for the Network Information Services (NIS).
 The nis package allows you to use the NIS services from a NIS server or
 to set up your own NIS server. NIS is mostly used to let serveral machines
 in a network share the same account information (eg the password file).
 NIS was formerly called Yellow Pages (YP).
