## nis 3.17.1

=== debian/changelog ===
nis (3.17.1-5) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/fix_build_libnsl.patch to fix build with libnsl instead
    of glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2020 17:44:25 +0200

nis (3.17.1-4) unstable; urgency=medium

  * QA upload.
  * Mark source format as quilt.
  * Import diff in quilt format.
  * Fix FTBFS. (Closes: #954525)
  * Update Standards-Version to 4.5.0
  * Add dependency on debhelper-compat.
    - Update compat level to 12.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 08 Apr 2020 19:42:24 +0100

nis (3.17.1-3) unstable; urgency=medium

  * QA upload.
  * Drop -no-dbus from YPBINDARGS= in /etc/default/nis.
    We no longer build nis with NetworkManager/D-Bus support, so setting
    this option made ypbind fail to start. (Closes: #906436)
  * Remove debian/nis.debhelper.log on clean.
  * Drop nm-tool invocation from reportbug script. This binary no longer
    exists in recent versions of NetworkManager and since NetworkManager
    support is no longer enabled, this information is no longer really
    relevant anyway.
  * Use /bin/bash to run the reportbug script as it makes use of "yesno".
    (Closes: #701484)
  * Remove obsolete shlibs.local. (Closes: #701696)
  * Fix typo "ypppasswdd" in init script. (Closes: #701483)
  * Drop outdated and no longer accessible Vcs-Bzr URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Aug 2018 22:34:37 +0200

nis (3.17.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #900358.
  * Disable NetworkManager support. (Closes: #862778)
  * Add explicit Build-Depends on pkg-config as required by ypbind-mt's
    configure.ac.
  * Bump priority to optional. Since Debian Policy version 4.0.1, the priority
    extra has been deprecated.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Aug 2018 14:38:22 +0200

nis (3.17.1-1) unstable; urgency=medium

  * ypbind 1.38, reenable Network Manager support to fix systemd
    breakage killing ypbind after it daemonizes (closes: #834298).

 -- Mark Brown <broonie@debian.org>  Tue, 16 Aug 2016 11:22:19 +0100

nis (3.17-35) unstable; urgency=low

  * Bump debhelper compat version, no changes other than creating a
    compat file since no relevant interfaces changed (closes: #800305).
  * Don't use libslp-dev since it got removed, unfortunately the removal
    has been coordinated by reassigning bugs and the BTS really doesn't
    notify that well (closes: #815362).
  * Remove network manager support, it never worked well and their APIs
    changed incompatibly.

 -- Mark Brown <broonie@debian.org>  Tue, 09 Aug 2016 19:04:10 +0100

nis (3.17-34) unstable; urgency=medium

  * Make sure both characters in the salt are present before calling
    crypt() rather than just the first in yppasswd fixing operation
    with shadow passwords after a change in the behaviour of crypt()
    with invalid salts (closes: #721737).

 -- Mark Brown <broonie@debian.org>  Sat, 13 Dec 2014 11:20:12 +0000

nis (3.17-33) unstable; urgency=low

  * Use dh_autoreconf to update config.* using lightly modified patch
    from Dann Frazier (closes: #739059).
  * Add dependency on remote_fs to init script.
  * Policy 3.9.5 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 15:55:58 +0100

nis (3.17-32) unstable; urgency=low

  * Fix postinst version comparison (closes: #610618).
  * Updated Danish Debconf translation from Joe Dalton (closes: #587368).
  * Updated Vietnamese translation from Clytie Siddall (closes: #601920).  
  * Updated Galician translation from Adrián Chaves Fernández (closes: #617380).
  * Updated Catalan translation from Innocent De Marchi (closes: #618481).
  * Updated Dutch translation from Jeroen Schot (closes: #624543).
  * Updated Brazilian Portugese translation from Eder L. Marques
    (closes: #617809).
  * Lintian has mindlessly changed the format of the output, meaning we
    can actually see the warnings but that's a bad thing.

 -- Mark Brown <broonie@debian.org>  Sun, 19 Jun 2011 11:04:03 +0100

nis (3.17-31) unstable; urgency=low

  * Run debconf-updatepo since the translation tools aren't able to do
    it for themselves (closes: #563506).
  * Ignore lintian warnings.  Papering over warnings FTW.

 -- Mark Brown <broonie@debian.org>  Sun, 03 Jan 2010 16:00:08 +0000

nis (3.17-30) unstable; urgency=low

  * Remove ypdomainname and nisdomainname binaries too (closes:
  * #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 30 Sep 2009 21:23:15 +0100

nis (3.17-29) unstable; urgency=low

  * Updated Vietnamese translation of the Debconf templates, kindly
    provided by (closes: #548023).
  * The domainname progam will be moved to hostname as of version 2.98 -
    add a dependency for that (closes: #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 23 Sep 2009 09:46:24 -0700

nis (3.17-28) unstable; urgency=low

  * Add Italian translation of the Debconf templates, kindly provided by
    Luca Monducci <luca.mo@tiscali.it> (closes: #544161).

 -- Mark Brown <broonie@debian.org>  Sat, 29 Aug 2009 10:42:21 +0100

nis (3.17-27) unstable; urgency=low

  * Suggest nscd.  This is likely to only be worthwhile for clients in 
    very large installations with noticable load on or latency to the
    NIS server (closes: #539106).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Aug 2009 13:34:12 +0100

nis (3.17-26) unstable; urgency=low

  * Updated Japanese translation of the Debconf templates, kindly
    provided by Hideki Yamane <henrich@debian.or.jp> (closes: #538239).

 -- Mark Brown <broonie@debian.org>  Sat, 25 Jul 2009 11:35:13 +0100

nis (3.17-25) unstable; urgency=low

  * Remove bashism in match_printcap, using patch from Raphael Geissert
    (closes: #530150).

 -- Mark Brown <broonie@debian.org>  Mon, 06 Jul 2009 21:24:13 +0100

nis (3.17-24) unstable; urgency=low

  * Add Slovak translation of the Debconf templates, kindly provided by
    helix84 <helix84@centrum.sk> (closes: #532964).

