=== debian/control ===
Source: nis
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: libsystemd-dev, dh-autoreconf, libgdbm-dev, gcc (>= 2.95), gettext, po-debconf, file, pkg-config, debhelper-compat (=12)

Package: nis
Architecture: any
Pre-Depends: debconf (>= 0.5.00) | debconf-2.0
Depends: ${shlibs:Depends}, netbase, make, portmap, lsb-base (>= 3.0-6),
 hostname (>= 2.98)
Conflicts: netstd (<=1.26)
Suggests: nscd
Description: clients and daemons for the Network Information Service (NIS)
 This package provides tools for setting up and maintaining a NIS domain.
 NIS, originally known as Yellow Pages (YP), is mostly used to let
 several machines in a network share the same account information, such
 as the password file.
