## nis 4.1

=== debian/changelog ===
nis (4.1) unstable; urgency=medium

  * Missing docs file added.
    (closes: #980999)
  * Fixed typo in d/NEWS.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jan 2021 12:30:12 +0100

nis (4.0) unstable; urgency=medium

   == The 'Welcome in 21th century' edition ==

  * Package split in three different new source packages. This package is now
    an arch-indep native meta-package that depends on ypserv, ypbind-mt and
    yp-tools. This has also the advantage of being the same structure used by
    other distributions. Added a pair of Provides - nis-client and nis-server
    - to be more explicit for new users.
  * All upstream software is now up-to-date.
    (closes: #800002)
  * All packages use new d-helper and policy ATM, that solve a few different
    historical issues.
    (closes: #631628, #437639, #545723)
  * The purpose of this package is helping the transition to the new
    organization of the NIS stuff. Existing configurations should be upgraded
    smoothly via postinst, or almost.
  * All debconf stuff now removed. Now administrator has to set
    /etc/defaultdomain and accurately follow the nis.debian.howto document
    provided in order to setup servers and clients for all possible cases.
    (closes: #558456, #231808)
  * All packages now use systemd units and timer, when available.
    The traditional /etc/default/nis configuration file is still
    optionally used if the admin needed to change options. This also
    solves improper start/stop in chroot.
    (closes: #589821, #256979, #890994)
  * The traditional init scripts are still provided and can be used with sysvrc
    init for flavors/administrators that prefer so.
  * The original init script is now split in yserv and ypbind-mt and removed here
    to avoid to cope with annoying warnings about missing systemd services for nis.
    The new scripts are a lot more simple and mimic the behavior of systemd
    services, i.e. start/stop daemon and nothing more. They are still controlled
    by NIS(MASTER|CLIENT) vars in /etc/default/nis.
  * All historical patches, scripts and stuff here and there have been now
    removed.
  * Now nscd | unscd is a recommendation of ypbind-mt. That implies that
    restarting those services is totally an admin's duty when maps change.
    (closes: #878625)
  * Thanks to use of systemd units, now postinst/prerm scripts in general do not
    start/stop/restart anything, but for the one time upgrade from 3.17 -> 4.0.
    All that is left to systemd. Even, in that case the scripts don't fail.
    That implies that in general ypbind shouldn't simply block an upgrade
    or remove, because they are totally controlled by admin who should
    undestand in what cases stopping ypserv could hang ypbind and PAM for
    minutes. Maintain a resilient configuration (i.e. setup multiple servers)
    in NIS is mandatory!
    Also, the admin can restart services at her/his will, and specifically
    ypbind should be stopped before a ypserv restart and then started again
    after, when servers are not redundant. That should hopefully fix the RPC
    timeouts that happen in some corner cases.
    (closes: #118023, #703667, #886331, #213733, #798339)
  * Current ypserv binds on all available interfaces. Also, ypbind honors
    loopback address in /etc/yp.conf and has eventually also a -local-only to
    bind only to localhost. No more denied messages on multi-homed hosts.
    (closes: #126177, #329382)
  * preinst/postinst should take care of a smooth upgrade from 3.17 and stop
    NIS services, then reactivate them via systemd, iff sysvrc is not in use.
  * Introduced Pre-Depends to depend on init-systems-helper >= 1.58. That's
    to use deb-systemd-invoke and do The Right Thing.
  * Systems that need to enable NIS auth via ypbind should also install
    libnss-nis, which is now separated from glibc and only recommended.
    So introduced a Recommends also in ypbind-mt.
    (closes: #979371)
  * The broadcast mode is not more the defaut for ypbind at start and should
    be deprecated, because it creates more problems than it solves.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 24 Jan 2021 12:16:28 +0100

nis (3.17.1-9) unstable; urgency=medium

  * New maintainer. (closes: #900358)
  * Added Vcs-* fields for new repo of the old stuff and next-generation one.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 27 Dec 2020 11:05:00 +0100

nis (3.17.1-8) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -ffile-prefix-map to CFLAGS. (Closes: #977793)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 20 Dec 2020 15:59:07 -0800

nis (3.17.1-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove extra timestamps from the gzipped documentation
    and fix file mtimes before building the binary packages.
    (Closes: #787126). Thanks to Dhole <dhole@openmailbox.org>.
  * debian/rules: Pass BASH=/bin/bash to the ypserv configure
    script. (Closes: #977747)
  * debian/changelog: Clean up trailing whitespace.
  * debian/rules: Delete trailing whitespace.
  * Remove obsolete lintian overrides for non-etc-file-marked-as-conffile.
  * debian/rules: Replace calls to dpkg-architecture by using dpkg

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 19 Dec 2020 21:12:31 -0800
