## nis 4.2

=== debian/changelog ===
nis (4.2) unstable; urgency=medium

  * Missed removing of /etc/init.d/nis at upgrade time added.
  * Fixed typos in NIS howto.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 31 Jan 2021 10:22:32 +0100
