## nis 4.4

=== debian/changelog ===
nis (4.4) unstable; urgency=medium

  * Added a brief note about the recommended libnss-nis package in NIS howto doc.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 12 May 2021 09:00:39 +0200

nis (4.3) unstable; urgency=medium

  * Fixed a sort-of bashism in postinst.
    (closes: #988227)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 08 May 2021 17:19:24 +0200
