=== debian/control ===
Source: nis
Section: net
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (=13)
Vcs-Browser: https://salsa.debian.org/debian-nis-team/nis
Vcs-Git: https://salsa.debian.org/debian-nis-team/nis.git

Package: nis
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ypserv, ypbind-mt, yp-tools (>= 4.2.3-3~), lsb-base, ${misc:Depends}
Description: Network Information Service (NIS)
 This meta-package provides tools for setting up and maintaining a NIS domain.
 NIS, originally known as Yellow Pages (YP), is mostly used to let
 several machines in a network share the same account information, such
 as the password file.
 .
 This package depends on daemons, client and tools components which could
 be also used independently to provide services for multiple hosts.
  - ypserv
  - ypbind-mt
  - yp-tools
 .
 Please, read and follow /usr/share/doc/nis/nis.debian.howto to setup
 servers and clients in the proper way.
