## nis 4.5

=== debian/changelog ===
nis (4.5) unstable; urgency=medium

  * Removed preinst and postinst, now obsoleted by past change to the 4.x series
    in Debian 10 -> 11 upgrade.
  - Annotated possible problems due to use of GDBM in the NIS howto document.
    (closes: #984560)
  * Removed totally obsolete variables in /etc/default/nis.
  * Policy updated to 4.6.1. No changes needed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 15 Jan 2023 10:23:04 +0100
