=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (=13)
 Vcs-Browser: https://salsa.debian.org/debian-nis-team/nis
 Vcs-Git: https://salsa.debian.org/debian-nis-team/nis.git
